Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000497KdenliveRenderingpublic2008-12-19 21:312009-07-01 21:57
Reporternadavkav 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.5Fixed in Version0.7.5 
Summary0000497: inigo popup a preview window when viewing .kdenlive files in dolphine file manager
Descriptioni use dolphin (kde4's file manager) to view my saved .kdenlive project files and other files
and when ever i open a folder with those files an inigo title-less window opens and try to render a preview of the kdenlive's project file.

several windows popup. one after the other and i have to quickly close each one.

very annoying :-(

i have no idea how to disable the link between inigo and dolphin to stop this behavior.
Additional Informationi use ubuntu 8.10 with latest kde4 packages (nightly-build)
latest kdenlive from svn (dec-18-08)
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0003079)
ddennedy (developer)
2009-06-03 08:11

I think the only way to fix this is to make MLT XML files playable in Phonon backends. We should strongly consider not installing this by default due to the very bad user experience. I have not installed this myself to a location KDE4 understands, but I will and try to see what it is like myself.
(0003084)
ddennedy (developer)
2009-06-03 08:39

I installed the westleypreview thumbnailer, and I did not get windows popping up. But with the Information panel open in Dolphin and the Aside Preview enabled in file dialogs, a new heavy melt process would launch every time I hover over a .mlt or .kdenlive file. As soon as I mouse out and re-mouse-over, it launches another process. Simply moving my mouse around, my system had a bunch of melt processes running and became very, very slow - soon to enter massive paging virtual mem and hdd thrashing!
(0003089)
administrator (administrator)
2009-06-03 09:24

Yes, seems the thumbnails are not cached. I will look at it. I think the popping windows issue should be fixed. You can disable the previewing of Kdenlive files in Dolphin in Settings->General->Preview->Westley Playlists or Mlt video playlist
(0003338)
administrator (administrator)
2009-06-20 01:22

The file previewer was rewritten to use MLT's libraries instead of launching an external process. I also simplified it so it should work correctly now, feedback welcome.
(0003340)
nadavkav (reporter)
2009-06-20 09:55

does not happen anymore :-)
with kde 4.2.4 (debian) and kdenlive 0.7.4 (rev 3368)

hovering over .kdenlive project file, i get a preview of the xml file
in the left preview panel.

- Issue History
Date Modified Username Field Change
2008-12-19 21:31 nadavkav New Issue
2008-12-19 21:31 nadavkav Build/Install Method => Manual build from SVN
2009-06-03 08:11 ddennedy Note Added: 0003079
2009-06-03 08:11 ddennedy Severity major => block
2009-06-03 08:39 ddennedy Note Added: 0003084
2009-06-03 09:24 administrator Note Added: 0003089
2009-06-03 09:24 administrator Status new => acknowledged
2009-06-20 01:22 administrator Note Added: 0003338
2009-06-20 01:22 administrator Status acknowledged => feedback
2009-06-20 09:55 nadavkav Note Added: 0003340
2009-06-20 10:22 xzhayon Status feedback => resolved
2009-06-20 10:22 xzhayon Fixed in Version => Recent git
2009-06-20 10:22 xzhayon Resolution open => fixed
2009-06-20 10:22 xzhayon Assigned To => xzhayon
2009-06-20 10:22 xzhayon Target Version => future version
2009-06-20 10:23 xzhayon Assigned To xzhayon =>
2009-06-26 21:01 administrator Fixed in Version Recent git => 0.7.5
2009-06-26 21:07 administrator Fixed in Version 0.7.5 => Recent git
2009-06-26 21:07 administrator Target Version future version => 0.7.5
2009-07-01 20:02 j-b-m Fixed in Version Recent git => 0.7.5
2009-07-01 21:57 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker